#!/bin/sh
#
# Copyright (C) 2008-2009 FAUmachine Team <info@faumachine.org>.
# This program is free software. You can redistribute it and/or modify it
# under the terms of the GNU General Public License, either version 2 of
# the License, or (at your option) any later version. See COPYING.
#

expdir=""

if [ $# != 1 ] ; then
	echo "Usage: $0 <experiment@dir>" 1>&2
	exit 1
fi
expdir=$1

date=`date +'%Y%m%d'`

if [ -f ${expdir}-${date} ] ; then
	n=2
	while [ -f ${expdir}-${date}-${n} ] ; do
		n=`expr ${n} + 1`
	done
	date="${date}-${n}"
fi

./profile ../../faum-linux/blinux-2.2.20-Debian-3.0r0/vmlinux ../simulator/faum-pc-cpu-qemu-686 ../../experiments/${expdir}/log.faum-node-pc > ${expdir}-${date}
